Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80983 - redhat-config-nfs crashes when portmap server is not active
Summary: redhat-config-nfs crashes when portmap server is not active
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-nfs
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-02 23:38 UTC by Peter van Egdom
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 15:36:55 UTC


Attachments (Terms of Use)

Description Peter van Egdom 2003-01-02 23:38:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:

When the portmap server is not active (reproduced by "/etc/rc.d/init.d/portmap
stop")  starting "redhat-config-nfs" will result in the program crashing - after
it has asked 'nfs service is not active. Do you wish to start it [y/n] (and by
clicking the [yes] button) - when doing a apply of an added 'share'.

I have not succeeded in 100% reproducing this. Sometimes there will be a [nfsd]
server active after doing this. A message can then be seen in the output of
"dmesg" : 'portmap: server localhost not responding, timed out').

Maybe redhat-config-nfs should perform some checkups on the portmap server
before starting (trying to start) the nfs daemon(s).

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. /etc/rc.d/init.d/nfs stop
2. /etc/rc.d/init.d/portmap stop
3. redhat-config-nfs
3. (browse to directory for export) --> configure settings --> apply
    

Actual Results:  

redhat-config-nfs get confused regarding portmapper status.
Sometime it manages to start a bunch of nfsd processes which in turn don't
really work
 (message --> portmap: server localhost not responding, timed out)

Stopping and starting the nfs server with "/etc/rc.d/init.d/nfs stop" doesn't
seem to work then.


Expected Results:

maybe it should perform some checks on portmapper availability first.


Additional info:

redhat-config-nfs-1.0.2-2
Red Hat Linux release 8.0.92 (Phoebe)

Comment 1 Brent Fox 2003-01-14 06:59:25 UTC
Should be fixed in redhat-config-nfs-1.0.3-1.  QA, please verify.

Comment 2 Jay Turner 2003-01-14 15:36:55 UTC
Fix confirmed with redhat-config-nfs-1.0.3-1.


Note You need to log in before you can comment on or make changes to this bug.